package xyz.wbsite.module.admin.mgr;

import com.example.module.admin.req.*;
import com.example.module.admin.rsp.*;
import xyz.wbsite.frame.base.Token;
import xyz.wbsite.module.admin.req.MappingCreateRequest;
import xyz.wbsite.module.admin.req.MappingDeleteRequest;
import xyz.wbsite.module.admin.req.MappingFindRequest;
import xyz.wbsite.module.admin.req.MappingUpdateRequest;
import xyz.wbsite.module.admin.rsp.MappingCreateResponse;
import xyz.wbsite.module.admin.rsp.MappingDeleteResponse;
import xyz.wbsite.module.admin.rsp.MappingFindResponse;
import xyz.wbsite.module.admin.rsp.MappingUpdateResponse;

/**
 * 映射
 *
 * @author author
 * @version 0.0.1
 * @since 2019-09-28
 */
public interface MappingManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    MappingCreateResponse create(MappingCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    MappingDeleteResponse delete(MappingDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    MappingUpdateResponse update(MappingUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    MappingFindResponse find(MappingFindRequest request, Token token);

}
