package xyz.wbsite.action.ajax.conf;

import com.fasterxml.jackson.core.TreeNode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.multipart.MultipartFile;
import xyz.wbsite.frame.excel.WExcel;
import xyz.wbsite.frame.utils.LogUtil;
import xyz.wbsite.frame.auth.LocalData;
import xyz.wbsite.frame.base.ErrorType;
import xyz.wbsite.frame.utils.MapperUtil;
import xyz.wbsite.frame.base.BaseResponse;
import xyz.wbsite.frame.utils.ResponseUtil;
import xyz.wbsite.frame.utils.ValidationUtil;
import xyz.wbsite.frame.excel.exception.ReadErrorException;
import xyz.wbsite.frame.excel.exception.TemplateNotMatchException;
import xyz.wbsite.module.conf.ent.Mapping;
import xyz.wbsite.module.conf.mgr.MappingManager;
import xyz.wbsite.module.conf.req.MappingCreateRequest;
import xyz.wbsite.module.conf.req.MappingDeleteRequest;
import xyz.wbsite.module.conf.req.MappingFindRequest;
import xyz.wbsite.module.conf.req.MappingGetRequest;
import xyz.wbsite.module.conf.req.MappingUpdateRequest;
import xyz.wbsite.module.conf.rsp.MappingCreateResponse;
import xyz.wbsite.module.conf.rsp.MappingDeleteResponse;
import xyz.wbsite.module.conf.rsp.MappingFindResponse;
import xyz.wbsite.module.conf.rsp.MappingGetResponse;
import xyz.wbsite.module.conf.rsp.MappingUpdateResponse;

import java.io.IOException;
import java.util.List;

public class MappingAjax{

    @Autowired
    private MappingManager mappingManager;

    public MappingCreateResponse create(MappingCreateRequest request) {
        return mappingManager.create(request, LocalData.getToken());
    }

    public MappingDeleteResponse delete(MappingDeleteRequest request) {
        return mappingManager.delete(request, LocalData.getToken());
    }

    public MappingUpdateResponse update(MappingUpdateRequest request) {
        return mappingManager.update(request, LocalData.getToken());
    }

    public MappingFindResponse find(MappingFindRequest request) {
        return mappingManager.find(request, LocalData.getToken());
    }

    public MappingGetResponse get(MappingGetRequest request) {
        return mappingManager.get(request, LocalData.getToken());
    }
}
